Browsing by Author "Lin, JC"
Now showing 1 - 20 of 53
- Results Per Page
- Sort Options
Item type:Item, 3-D shape retrieval using cognitive psychology-based principles(2005) ;Lin, HYS ;Lin, JC ;Liao, HYM ;資訊工程學系Department of Computer ScienceIn this paper, we incorporate a set of principles that originated in cognitive psychology into tire design of 3-D drape analysis and retrieval systems. Based on the "visual salience-guided mesh decomposition "scheme we proposed previously, a 3-D shape represented in mesh form is first broken into parts such that human visual perception of the parts can be appropriately mimicked. Next, tire decomposed parts are individually analyzed and quantified according to the properties of visual salience. To establish the indices of 3-D meshes, for the subsequent retrieval process, spherical parameterization is adopted to map the decomposed parts onto the surface of a unit sphere. In this way, the degree of similarity between a query provided by a user and models in the database call be calculated. The experiment results show that the retrieval performance of the proposed scheme is indeed efficient and powerful.Item type:Item, A 1 logN parallel algorithm for detecting convex Hulls on image boards(1998-06-01) ;Lin, JC ;Lin, JY ;資訊工程學系Department of Computer ScienceBy finding the maximum and minimum of {y(i) - mx(i) 1 less than or equal to i less than or equal to N} for certain slopes m, we propose here a simple and fast parallel algorithm to obtain the convex hull of N arbitrarily given points on an image hoard. The mathematical theory needed is included, and computation time is 1 log N.Item type:Item, A cognitive psychology-based approach for 3-D shape retrieval(2005) ;Lin, HYS ;Liao, HYM ;Lin, JC ;資訊工程學系Department of Computer ScienceIn this paper, we incorporate a set of principles originated from cognitive psychology into the design of 3-D shape analysis and retrieval algorithms. Based on the "visual salience-guided mesh decomposition" we previously proposed, a 3-D mesh-based shape is first broken up into parts such that human visual perception on parts can be appropriately mimicked. Next, the decomposed parts are individually analyzed and quantified according to the properties of visual salience. To establish the indices of 3-D meshes for shape matching, spherical parameterization is adopted to map the decomposed parts onto the surface of a unit sphere. In this way, the dissimilarity degree between the query acquired from users and a model in database can be calculated. The experimental results have shown that the matching performance of the proposed scheme is indeed efficient and powerful.Item type:Item, A comparative study of Ar and H-2 as carrier gases for the growth of SiC films on Si(100) by electron cyclotron resonance chemical vapor deposition at low temperature(2001-11-01) ;Lee, WH ;Lin, JC ;Lee, C ;Cheng, HCYew, TRElectron cyclotron resonance chemical vapor deposition (ECR-CVD) of SiC films from silane and methane gas mixtures at low temperature has been investigated using two different carrier gases, namely, argon and hydrogen. The results obtained are compared. The chemical composition and crystalline microstructure were investigated by Fourier transform infrared spectroscopy (FTIR) and cross-sectional transmission electron microscopy (XTEM), respectively. The results indicate that the carrier gases have a greater influence on the film composition and microstructure as compared to the growth parameters like pressure, power and flow ratio. The deposition mechanism which controls the film characteristics is also presented. (C) 2001 Elsevier Science B.V. All rights reserved.Item type:Item, A fully distributed power control algorithm for cellular mobile systems(1996-05-01) ;Lee, TH ;Lin, JC ;電信工程研究所Institute of Communications EngineeringSeveral distributed power control algorithms that can achieve carrier-to-interference ratio (CIR) balancing with probability one have been proposed recently for cellular mobile systems [5]-[8], In these algorithms, only local information is used to adjust transmitting power, However, a normalization procedure is required in each iteration to determine transmitting power and, thus, these algorithms are not fully distributed, In this paper, we present a distributed power control algorithm which does not need the normalization procedure, We show that the proposed algorithm can achieve CIR balancing with probability one, Moreover, numerical results reveal our proposed scheme performs better than the algorithm presented in [7], which has the best performance among the distributed power control algorithms studied in [5]-[8], The excellent performance and the fully distributed property make our proposed algorithm a good choice for cellular mobile systems.Item type:Item, A modified sequential acquisition scheme in direct-sequence spread-spectrum communications over a fading channel(2000-10-01) ;Lin, JC ;友訊交大聯合研發中心D Link NCTU Joint Res CtrA modified sequential acquisition scheme is proposed in this letter to avoid the significant high error probabilities (false alarm and missing probabilities) occurring with the conventional sequential acquisition scheme in direct-sequence spread-spectrum systems while a high frequency offset is present. A new estimator of (Ek)/(N0) is also designed to effectively solve the problems caused by the channel fading effects. Extensive computer simulation results have indicated that the proposed technique can achieve the desired low error probabilities, and furthermore its performance is very close to that with the perfect channel estimation.Item type:Item, A new algorithm for lossless still image compression(1998-09-01) ;Chuang, TJ ;Lin, JC ;資訊工程學系Department of Computer ScienceThis paper presents a spatial domain method for lossless still image compression using a new scheme: base switching (BS). The given image is partitioned into non-overlapping fixed-size subimages. Different subimages then get different compression ratios according to the base values of the subimages. In order to increase the compression ratio, a hierarchical technique is also used. It is found that the compression ratio of the proposed algorithm can compete with that of the VBSS and the international standard algorithms known as JBIG and Lossless JPEG. In addition, when the BS method is compared with the S + P method, which is an excellent frequency domain method that used EZW, although S + P method gains about 9% increase in the compression ratio, its encoding time (excluding I/O) is about three times longer than ours. The math theory needed to build up the proposed compression scheme is also provided. (C) 1998 Published by Elsevier Science Ltd on behalf of the Pattern Recognition Society. All rights reserved.Item type:Item, A new LDA-based face recognition system which can solve the small sample size problem(2000-10-01) ;Chen, LF ;Liao, HYM ;Ko, MT ;Lin, JCYu, GJA new LDA-based face recognition system is presented in this papal. Linear discriminant analysis (LDA) is one of the most popular linear projection techniques for feature extraction. The major drawback of applying LDA is that it may encounter the small sample size problem. In this paper, we propose a new LDA-based technique which can solve the small sample size problem. We also prove that the most expressive vectors derived ill the null space of the within-class scatter matrix using principal component analysis (PCA) are equal to the optimal discriminant vectors derived in the: original space using LDA. The experimental results show that the new LDA process improves the performance of a face recognition system significantly. (C) 2000 Pattern Recognition Society. Published by Elsevier Science Ltd. All rights reserved.Item type:Item, A simple and high-hiding capacity method for hiding digit-by-digit data in images based on modulus function(2003-12-01) ;Thien, CC ;Lin, JC ;資訊工程學系Department of Computer ScienceThis study presents a simple method for high-hiding capacity. The basic concept uses a modulus operation. The proposed method has the following advantages: (1) the proposed method outperforms the simple LSB substitution method given the same range (0-m - 1) of data digits in the embedded data; (2) the proposed method achieves good image vision quality without the need for post-processing; (3) the proposed method is almost as simple as the LSB method in both coding and decoding; (4) the smaller error advantage over the simple LSB substitution method can also be mathematically verified; (5) the error is smaller than [(m - 1)/2] for almost every pixel; (6) the proposed method has high-hiding capacity (for example, the proposed method can hide a 256 x 256 or 256 x 512 image in a 512 x 512 host image). (C) 2003 Pattern Recognition Society. Published by Elsevier Ltd. All rights reserved.Item type:Item, A simplified fold number detector for shapes with monotonic radii(1996-06-01) ;Lin, JC ;資訊工程學系Department of Computer ScienceThis paper concentrates on the fold number detection problem for the shapes with monotonic radii. The proposed method is extremely simple. Two monotonicity conditions are derived to ensure that the smallest positive integer l making integral integral((r,0)is an element of S) r(2) e(il theta) dr d theta nonzero is exactly the fold number of the given shape S. The fold numbers of regular polygons, roses, bolt nuts, and other kinds of shapes discussed in the present paper, can therefore be detected quite easily. Note especially that the proposed method uses no matching procedure, a procedure essential in many reported methods. Theoretical properties, mathematical proofs, illustrative figures, and experimental results, are all included in this paper. (C) 1996 Pattern Recognition Society. Published by Elsevier Science Ltd.Item type:Item, A simplified fold number detector for shapes with monotonic radii(1996-06-01) ;Lin, JC ;交大名義發表 ;資訊工程學系 ;National Chiao Tung UniversityDepartment of Computer ScienceThis paper concentrates on the fold number detection problem for the shapes with monotonic radii. The proposed method is extremely simple. Two monotonicity conditions are derived to ensure that the smallest positive integer l making integral integral((r,0)is an element of S) r(2) e(il theta) dr d theta nonzero is exactly the fold number of the given shape S. The fold numbers of regular polygons, roses, bolt nuts, and other kinds of shapes discussed in the present paper, can therefore be detected quite easily. Note especially that the proposed method uses no matching procedure, a procedure essential in many reported methods. Theoretical properties, mathematical proofs, illustrative figures, and experimental results, are all included in this paper. (C) 1996 Pattern Recognition Society. Published by Elsevier Science Ltd.Item type:Item, A study on the distributed power control for cellular mobile systems(1996) ;Lee, TH ;Lin, JC ;傳播研究所Institute of Communication StudiesItem type:Item, An efficient nearest neighbor searching algorithm with application to LBG codebook gene ration(1996-11-01) ;Wu, KS ;Lin, JC ;資訊工程學系Department of Computer ScienceThe nearest neighbor (NN) searching problem has wide applications. In vector quantization (VQ), both the codebook generation phase and encoding phase (using the codebook just generated) often need to use the NN search. Improper design of the searching algorithm will make the complexity quite big as vector dimensionality k or codebook size N increases. In this paper, a fast NN searching method is proposed, which can then accelerate the LEG codebook generation process for VQ design. The method successfully modifies and improves the LAESA method. Unlike LAESA, the proposed k/2 ''fixed'' points (allocated far from the data) and the origin are used as the k/2+1 reference points to reduce the searching area. The overhead in memory is only linearly proportional to N and k. The time complexity, including the overhead, is of order O(kN). According to our experiments, the proposed algorithm can reduce the time burden while the distortion remains identical to that of the full search.Item type:Item, An efficient nearest neighbor searching algorithm with application to LBG codebook gene ration(1996-11-01) ;Wu, KS ;Lin, JC ;交大名義發表 ;資訊工程學系National Chiao Tung UniversityThe nearest neighbor (NN) searching problem has wide applications. In vector quantization (VQ), both the codebook generation phase and encoding phase (using the codebook just generated) often need to use the NN search. Improper design of the searching algorithm will make the complexity quite big as vector dimensionality k or codebook size N increases. In this paper, a fast NN searching method is proposed, which can then accelerate the LEG codebook generation process for VQ design. The method successfully modifies and improves the LAESA method. Unlike LAESA, the proposed k/2 ''fixed'' points (allocated far from the data) and the origin are used as the k/2+1 reference points to reduce the searching area. The overhead in memory is only linearly proportional to N and k. The time complexity, including the overhead, is of order O(kN). According to our experiments, the proposed algorithm can reduce the time burden while the distortion remains identical to that of the full search.Item type:Item, An image-sharing method with user-friendly shadow images(2003-12-01) ;Thien, CC ;Lin, JC ;資訊工程學系Department of Computer ScienceThis study presents a user-friendly image-sharing method for easier management of the shadow images. The sharing of images among several branches (distributed disks) using the proposed method has several characteristics: 1) fast transmission among branches; 2) fault tolerance; 3) a secure storage system; 4) reduced chance of pirating of high-quality images (as explained in Section V); and 5) most importantly, the provision to each branch manager an easy-to-manage environment (because each shadow image looks like a shrunken version of the original image). The current approach still hits the small-size and channel-independent properties of our previous work,, namely, the size of each shadow image is only 1/r of that of the original image, and any r shadow images can be used for restoration (the restored image is independent of which r shadow images are used).Item type:Item, Authentication of 3-D polygonal meshes(2004) ;Lin, HY ;Liao, HYM ;Lu, CS ;Lin, JC資訊工程學系Designing a powerful fragile watermarking technique for authenticating 3-D polygonal meshes is a very difficult task. Yeo and Yeung [17] were first to propose a fragile watermarking method to perform authentication of 3-D polygonal meshes. Although their method can authenticate the integrity of 3-D polygonal meshes, it is unable to distinguish malicious attacks from incidental data processings. In this paper, we propose a new fragile watermarking method which not only is able to detect malicious attacks, but also is immune to incidental data processings. During the process of watermark embedding, mesh parameterization techniques are employed to perturb the coordinates of invalid vertices while cautiously maintaining the appearance of the original model. Since the proposed embedding method is independent of the order of vertices, the hidden watermark is immune to some attacks, such as vertex reordering. In addition, the proposed method can be used to perform region-based tampering detection. The experimental results have shown that the proposed fragile watermarking scheme is indeed powerful.Item type:Item, Clustering by comparing regions of different density(1996-01-01) ;Lin, JC ;Lin, JY ;Chen, Z ;資訊工程學系Department of Computer ScienceThis paper presents a histogram-based clustering method that automatically determines the number of clusters in a set of data points. Input data are first partitioned into several rectangular blocks. The number of points in each block is determined, and the thirty percent of the blocks with the most points are marked to obtain a feature. Next, the forty percent of the blocks with the most points are marked to obtain a second feature. These two features are then compared to determine the number of clusters in the input data. The proposed clustering method is fast, and the data to be clustered do not need to be linearly separable. Experimental results are included.Item type:Item, Color quantization by preserving color distribution features(1999-10-01) ;Lin, WJ ;Lin, JC ;資訊工程學系Department of Computer ScienceA color quantization method is proposed. The method hierarchically uses a bisection tool that preserves certain color-distribution features. The preserved features are average color, variance in each color dimension, and average color radius. An algorithm is given that includes the histogram simplification procedure, color palette generation, and pixel mapping. Experiments show that the proposed method usually obtains acceptable quantized images with competitive speed. (C) 1999 Elsevier Science B.V. All rights reserved.Item type:Item, EBTC: An economical method for searching the threshold of ETC compression(1996-09-26) ;Yang, CY ;Lin, JC ;資訊工程學系Department of Computer ScienceAn economical method for obtaining a nearly-optimal threshold for the block truncation coding (BTC) image compression algorithm is presented. Simulation results show that the PSNR performance of the proposed economic BTC (EBTC) method is very close to that of the optimised BTC (OBTC) algorithm, but EBTC only takes about half the computation time required by the OBTC algorithm.Item type:Item, EBTC: An economical method for searching the threshold of ETC compression(1996-09-26) ;Yang, CY ;Lin, JC ;交大名義發表 ;資訊工程學系National Chiao Tung UniversityAn economical method for obtaining a nearly-optimal threshold for the block truncation coding (BTC) image compression algorithm is presented. Simulation results show that the PSNR performance of the proposed economic BTC (EBTC) method is very close to that of the optimised BTC (OBTC) algorithm, but EBTC only takes about half the computation time required by the OBTC algorithm.